### Method

# GnomeAutoar Compressor start_async

#### Declaration [src]

    void
    autoar_compressor_start_async (
      AutoarCompressor* self,
      GCancellable* cancellable
    )

#### Description [src]

Asynchronously runs the archive creating work. You should connect to `AutoarCompressor::cancelled`, `AutoarCompressor::error`, and `AutoarCompressor::completed` signal to get notification when the work is terminated. All callbacks will be called in the main thread, so you can safely manipulate GTK widgets in the callbacks.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.